Gtk2::Object(3)

NAME
Gtk2::Object

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object

METHODS

  object = Gtk2::Object->new ($object_class, ...)

* $object_class (string) package name of object to create
* ... (list) of property-name => value pairs

Create a new object of type $object_class, with some optional initial property values. You may see this used in some code as Gtk2::Widget->new, e.g.

 $window = Gtk2::Widget->new ('Gtk2::Window',
                              title => 'something cool',
                              allow_grow => TRUE);

This is really just a convenience function that wraps Glib::Object->new.

  $object->destroy
This is an explicit destroy --- NOT the auto destroy; Gtk2::Object inherits that from Glib::Object!

PROPERTIES

'user-data' (gpointer : readable / writable / private)
    Anonymous User Data Pointer

SIGNALS

destroy (Gtk2::Object)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.